typedef struct vga_menu_t {
	const char *name;
	int (* func)();
} vga_menu_t;

typedef struct mouse_hs {
	int x1;
	int y1;
	int x2;
	int y2;
	int (* func)(int, int);
} mouse_hs_t;

void vga_popupmenu(vga_menu_t *menu, int x, int y, int fg, int bg, font_t *font, mouse_hs_t hs[], vga_win *win);
void vga_restore_win(vga_win *win);
